# Copyright 2016 Kevin Ryde
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this file.  See the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.


#------------------------------------------------------------------------------
# with 2 spacing at ends

our $hullsaround_segs_outer = MyR5DragonConf->new
  (name => 'hull outer',
   side => 0,
   segs => [
            "-2,-2,0",  # bottom
            "0,-2,0",
            "0,-2,2",
            "2,-2,0",
            "2,-2,2",

            "3,-2,1",   # right
            "3,0,3",
            "3,0,1",
            "3,2,3",

            "2,2,0",    # top
            "2,2,2",
            "0,2,0",
            "0,2,2",
            "-2,2,0",

            "-2,1,1",   # left
            "-2,1,3",
            "-2,-1,1",
            "-2,-1,3",
           ]);

our $hullsaround_segs_inner = MyR5DragonConf->new
  (name => 'hull inner',
   segs => [
            "-2,0,0",
            "0,0,0",
            "0,0,2",
            "2,0,0",
            "2,0,2",

            "1,0,1",
            "1,0,3",
            "-1,0,1",
            "-1,0,3",

            "0,1,1",
            "0,1,3",
            "2,1,1",
            "2,1,3",

            "0,-1,1",
            "0,-1,3",
            "2,-1,1",
            "2,-1,3",

            "-1,1,0",
            "-1,1,2",
            "1,1,0",
            "1,1,2",
            "3,1,2",

            "-1,-1,0",
            "-1,-1,2",
            "1,-1,0",
            "1,-1,2",
            "3,-1,2",


            "-1,2,3",
            "1,2,3",
            "-1,-2,1",
            "1,-2,1",
           ]);

#------------------------------------------------------------------------------
